%define name pgaccess
%define srcver 0_99_0_20040219
%define version %( echo %srcver | sed 's/_/./g')
%define subrel 1
%define release %mkrel 7

Summary: A tcl/tk client for postgresql
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{srcver}.tar.bz2
Source20: pgaccess-16.png
Source21: pgaccess-32.png
Source22: pgaccess-48.png
License: GPL
Group: Databases
Url: http://pgfoundry.org/projects/pgaccess/
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: tk >= 8.0
Requires: tcl >= 8.0
Requires: tcl-tcllib
BuildArch: noarch

%description
A free graphical database management tool for PostgreSQL.
PgAccess has been written by Constantin Teodorescu using Visual Tcl, 
the best tool for developing Tcl/Tk applications I've ever seen.

%prep
%setup -q -n %{name}-%{srcver}
sed -i -e 's,list frame none underline,list dotbox none underline,g' lib/widgets/tablelist3.3/scripts/tablelistWidget.tcl
rm -fr win32

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%name
mkdir -p $RPM_BUILD_ROOT{%{_miconsdir},%{_iconsdir},%{_liconsdir}}

perl -pi -e 's|/usr/local|%{_datadir}|' pgaccess

cat <<EOF >$RPM_BUILD_ROOT%{_bindir}/pgaccess
#!/bin/sh
export PGACCESS_HOME="/usr/share/pgaccess"

\$PGACCESS_HOME/pgaccess.tcl $* &
EOF

#mv pgaccess.tcl $RPM_BUILD_ROOT%{_bindir}/pgaccess

cp -vfr * $RPM_BUILD_ROOT%{_datadir}/%name
rm -fr $RPM_BUILD_ROOT%{_datadir}/%name/doc


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=PostgreSQL Access
Comment=PostgreSQL Tcl/Tk front-end
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=DATABASE;X-MandrivaLinux-MoreApplications-Databases;
EOF

install -D -m644 %{SOURCE20} $RPM_BUILD_ROOT%{_miconsdir}/pgaccess.png
install -D -m644 %{SOURCE21} $RPM_BUILD_ROOT%{_iconsdir}/pgaccess.png
install -D -m644 %{SOURCE22} $RPM_BUILD_ROOT%{_liconsdir}/pgaccess.png

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/ README
%attr(755,root,root) %{_bindir}/%name
%dir %{_datadir}/%name
%{_datadir}/%name/*
%{_datadir}/applications/mandriva-%{name}.desktop
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png





%changelog
* Wed Oct 29 2008 Adam Williamson <awilliamson@mandriva.com> 0.99.0.20040219-7.1mdv2009.0
+ Revision: 298142
- fix #40475 (thanks to Reinhard Max via SUSE bug #414190)

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.99.0.20040219-7mdv2009.0
+ Revision: 258930
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.99.0.20040219-6mdv2009.0
+ Revision: 246851
- rebuild
- drop old menu

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.99.0.20040219-4mdv2008.1
+ Revision: 136373
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character


* Sat Jan 13 2007 Olivier Thauvin <nanardon@mandriva.org> 0.99.0.20040219-4mdv2007.0
+ Revision: 108354
- fix dep (#28175)

* Tue Aug 08 2006 Olivier Thauvin <nanardon@mandriva.org> 0.99.0.20040219-3mdv2007.0
+ Revision: 54184
- xdg menu
- Import pgaccess

* Mon May 01 2006 Olivier Thauvin <nanardon@mandriva.org> 0.99.0.20040219-2mdk
- Birthday rebuild

* Tue Apr 19 2005 Olivier Thauvin <nanardon@mandrake.org> 0.99.0.20040219-1mdk
- 0.99.0.20040219
- remove buggy requires
- update url

* Fri Dec 24 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.98.8.20030520-2mdk
- Birthday rebuild

